Package org.codehaus.janino

# Class Java.ConstructorDeclarator

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.AbstractTypeBodyDeclaration
org.codehaus.janino.Java.FunctionDeclarator
org.codehaus.janino.Java.ConstructorDeclarator

All Implemented Interfaces:
  `Java.Annotatable`, `Java.DocCommentable`, `Java.Locatable`, `Java.Scope`, `Java.TypeBodyDeclaration`

Enclosing class:
  `Java`

public static final class Java.ConstructorDeclarator extends Java.FunctionDeclarator
Representation of a constructor declarator.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.codehaus.janino.Java.FunctionDeclarator

`Java.FunctionDeclarator.FormalParameter, Java.FunctionDeclarator.FormalParameters`

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.ConstructorInvocation`
`constructorInvocation`
The `Java.AlternateConstructorInvocation` or `Java.SuperConstructorInvocation`, if any.

### Fields inherited from class org.codehaus.janino.Java.FunctionDeclarator

`formalParameters, localVariables, name, statements, thrownExceptions, type`

### Fields inherited from class org.codehaus.janino.Java.AbstractTypeBodyDeclaration

`modifiers`

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`ConstructorDeclarator(Location location, String docComment, Java.Modifier[] modifiers, Java.FunctionDeclarator.FormalParameters formalParameters, Java.Type[] thrownExceptions, Java.ConstructorInvocation constructorInvocation, List<? extends Java.BlockStatement> statements)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.FunctionDeclaratorVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.FunctionDeclaratorVisitor` for the concrete `Java.FunctionDeclarator` type.
`Java.AbstractClassDeclaration`
`getDeclaringClass()`
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.FunctionDeclarator

`accept, getAccess, getAnnotations, getDocComment, getEnclosingScope, hasDeprecatedDocTag, isStrictfp, setDeclaringType, setEnclosingScope`

### Methods inherited from class org.codehaus.janino.Java.AbstractTypeBodyDeclaration

`getDeclaringType, getModifiers`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### constructorInvocation

@Nullable public final Java.ConstructorInvocation constructorInvocation
The `Java.AlternateConstructorInvocation` or `Java.SuperConstructorInvocation`, if any.

## Constructor Details

### ConstructorDeclarator

public ConstructorDeclarator(Location location, @Nullable String docComment, Java.Modifier[] modifiers, Java.FunctionDeclarator.FormalParameters formalParameters, Java.Type[] thrownExceptions, @Nullable Java.ConstructorInvocation constructorInvocation, List<? extends Java.BlockStatement> statements)

## Method Details

### getDeclaringClass

public Java.AbstractClassDeclaration getDeclaringClass()

Returns:
  The `Java.AbstractClassDeclaration` where this `Java.ConstructorDeclarator` appears

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.FunctionDeclaratorVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.FunctionDeclarator`
Invokes the "`visit...()`" method of `Visitor.FunctionDeclaratorVisitor` for the concrete `Java.FunctionDeclarator` type.

Specified by:
  `accept` in class `Java.FunctionDeclarator`
Throws:
  `EX`